// vim:fileencoding=utf-8:foldmethod=marker

#include "../../../../common/aliases/aliases.h"
#include "../../../../common/platform/platform.h"

#ifdef WAPP_PLATFORM_WINDOWS

#include "../commander_output.h"
#include "../../utils/shell_utils.h"
#include <stdio.h>

CMDError get_output_status(FILE *fp, i32 *status_out) {
  if (!feof(fp)) {
    // Ensure process is closed on failure
    wapp_shell_utils_pclose(fp);
    return SHELL_ERR_PROC_EXIT_FAIL;
  }

  *status_out = wapp_shell_utils_pclose(fp);

  return SHELL_ERR_NO_ERROR;
}

#endif // !WAPP_PLATFORM_WINDOWS
